Subject: Re: [PATCH 39 of 39] IB/ipath - use streaming copy in RDMA interrupt handler to reduce packet loss

From: Bryan O'Sullivan <[email-masked]>
Date: Thu, 29 Jun 2006 16:34:23 -0700

On Thu, 2006-06-29 at 15:03 -0700, David Miller wrote:

> I'm not good with names :-)

Heh.  I'll call it memcpy_nc for now, then, and people can retch all
over the name as they please when I submit a more suitably generic
patch.

> Note that there also might be cases where using such a memcpy
> variant might be the wrong thing to do.  For example, for a very
> tightly coupled CMT cpu implementation which has the memory controller,
> L2 cache, PCI controller, etc. all on the same die and the PCI controller
> makes use of the L2 cache just like the cpu threads do, using this
> kind of memcpy would always be the wrong thing to do.

I'm not quite following you, though I assume you're referring to Niagara
or Rock :-)  Are you saying a memcpy_nc would do worse than plain
memcpy, or worse than some other memcpy-like routine?

	<b